Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.config
Class MuleProperties

    java.lang.Object
      org.mule.api.config.MuleProperties

    public class MuleProperties

extends Object

`MuleProperties` is a set of constants pertaining to Mule properties.

Field Summary
`static String` | `APP_HOME_DIRECTORY_PROPERTY`
`static String` | `CONNECTOR_CLASS` ***************************************************************************** Transport Service descriptor properties *****************************************************************************
`static String` | `CONNECTOR_DEFAULT_EXCHANGE_PATTERN`
`static String` | `CONNECTOR_DISPATCHER_FACTORY`
`static String` | `CONNECTOR_ENDPOINT_BUILDER`
`static String` | `CONNECTOR_INBOUND_EXCHANGE_PATTERNS`
`static String` | `CONNECTOR_INBOUND_TRANSFORMER`
`static String` | `CONNECTOR_MESSAGE_FACTORY`
`static String` | `CONNECTOR_MESSAGE_RECEIVER_CLASS`
`static String` | `CONNECTOR_META_ENDPOINT_BUILDER`
`static String` | `CONNECTOR_OUTBOUND_EXCHANGE_PATTERNS`
`static String` | `CONNECTOR_OUTBOUND_TRANSFORMER`
`static String` | `CONNECTOR_REQUESTER_FACTORY`
`static String` | `CONNECTOR_RESPONSE_TRANSFORMER`
`static String` | `CONNECTOR_SERVICE_ERROR`
`static String` | `CONNECTOR_SERVICE_FINDER`
`static String` | `CONNECTOR_SESSION_HANDLER`
`static String` | `CONNECTOR_TRANSACTED_MESSAGE_RECEIVER_CLASS`
`static String` | `CONNECTOR_TRANSACTION_FACTORY`
`static String` | `CONNECTOR_XA_TRANSACTED_MESSAGE_RECEIVER_CLASS`
`static String` | `CONTENT_TYPE_PROPERTY`
`static String` | `EXCHANGE_PATTERN`
`static String` | `EXCHANGE_PATTERN_CAMEL_CASE`
`static String` | `MODEL_CLASS` ***************************************************************************** Model Service descriptor properties *****************************************************************************
`static String` | `MULE_CONTEXT_PROPERTY`
`static String` | `MULE_CORRELATION_GROUP_SIZE_PROPERTY`
`static String` | `MULE_CORRELATION_ID_PROPERTY`
`static String` | `MULE_CORRELATION_SEQUENCE_PROPERTY`
`static String` | `MULE_CREDENTIALS_PROPERTY`
`static String` | `MULE_DISABLE_TRANSPORT_TRANSFORMER_PROPERTY`
`static String` | `MULE_ENCODING_PROPERTY`
`static String` | `MULE_ENCODING_SYSTEM_PROPERTY`
`static String` | `MULE_ENDPOINT_PROPERTY`
`static String` | `MULE_ERROR_CODE_PROPERTY`
`static String` | `MULE_EVENT_PROPERTY` ***************************************************************************** MuleEvent Level properties *****************************************************************************
`static String` | `MULE_EVENT_TIMEOUT_PROPERTY`
`static String` | `MULE_FORCE_SYNC_PROPERTY`
`static String` | `MULE_HOME_DIRECTORY_PROPERTY`
`static String` | `MULE_IGNORE_METHOD_PROPERTY`
`static String` | `MULE_JMS_SESSION`
`static String` | `MULE_MANAGEMENT_CONTEXT_PROPERTY`
`static String` | `MULE_MESSAGE_ID_PROPERTY`
`static String` | `MULE_METHOD_PROPERTY`
`static String` | `MULE_ORIGINATING_ENDPOINT_PROPERTY`
`static String` | `MULE_REMOTE_CLIENT_ADDRESS`
`static String` | `MULE_REMOTE_SYNC_PROPERTY`
`static String` | `MULE_REPLY_TO_PROPERTY`
`static String` | `MULE_REPLY_TO_REQUESTOR_PROPERTY`
`static String` | `MULE_REPLY_TO_STOP_PROPERTY` Prevents processing of the ReplyTo property by the Service.
`static String` | `MULE_SESSION_ID_PROPERTY` Deprecated. This property is no longer needed and will be removed in the next major release
`static String` | `MULE_SESSION_PROPERTY`
`static String` | `MULE_SOAP_METHOD`
`static String` | `MULE_USER_PROPERTY`
`static String` | `MULE_WORKING_DIRECTORY_PROPERTY`
`static String` | `OBJECT_DEFAULT_MESSAGE_DISPATCHER_THREADING_PROFILE`
`static String` | `OBJECT_DEFAULT_MESSAGE_RECEIVER_THREADING_PROFILE`
`static String` | `OBJECT_DEFAULT_MESSAGE_REQUESTER_THREADING_PROFILE`
`static String` | `OBJECT_DEFAULT_RETRY_POLICY_TEMPLATE`
`static String` | `OBJECT_DEFAULT_SERVICE_THREADING_PROFILE`
`static String` | `OBJECT_DEFAULT_THREADING_PROFILE`
`static String` | `OBJECT_LIFECYCLE_MANAGER`
`static String` | `OBJECT_MULE_APPLICATION_PROPERTIES`
`static String` | `OBJECT_MULE_CONFIGURATION`
`static String` | `OBJECT_MULE_CONTEXT`
`static String` | `OBJECT_MULE_CONTEXT_PROCESSOR`
`static String` | `OBJECT_MULE_ENDPOINT_FACTORY`
`static String` | `OBJECT_MULE_NAMESPACE_MANAGER`
`static String` | `OBJECT_MULE_SIMPLE_REGISTRY_BOOTSTRAP`
`static String` | `OBJECT_MULE_STREAM_CLOSER_SERVICE`
`static String` | `OBJECT_NOTIFICATION_MANAGER`
`static String` | `OBJECT_OBJECT_NAME_PROCESSOR`
`static String` | `OBJECT_PROPERTY_PLACEHOLDER_PROCESSOR`
`static String` | `OBJECT_QUEUE_MANAGER`
`static String` | `OBJECT_SECURITY_MANAGER`
`static String` | `OBJECT_SYSTEM_MODEL`
`static String` | `OBJECT_TRANSACTION_MANAGER`
`static String` | `OBJECT_WORK_MANAGER`
`static String` | `PROPERTY_PREFIX` The prefix for any Mule-specific properties set on an event
`static String` | `SERVICE_FINDER` ***************************************************************************** Generic Service descriptor properties *****************************************************************************
`static String` | `SYNCHRONOUS_PROPERTY` Specifies whether mule should process messages synchronously, i.e.
`static String` | `SYSTEM_PROPERTY_PREFIX` The prefix for any Mule-specific properties set in the system properties

Constructor Summary
`MuleProperties()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_PREFIX

    public static final String PROPERTY_PREFIX

  The prefix for any Mule-specific properties set on an event

  See Also:
    Constant Field Values

### MULE_EVENT_PROPERTY

    public static final String MULE_EVENT_PROPERTY

  ***************************************************************************** MuleEvent Level properties *****************************************************************************

  See Also:
    Constant Field Values

### MULE_EVENT_TIMEOUT_PROPERTY

    public static final String MULE_EVENT_TIMEOUT_PROPERTY

See Also:
  Constant Field Values

### MULE_METHOD_PROPERTY

    public static final String MULE_METHOD_PROPERTY

See Also:
  Constant Field Values

### MULE_IGNORE_METHOD_PROPERTY

    public static final String MULE_IGNORE_METHOD_PROPERTY

See Also:
  Constant Field Values

### MULE_ENDPOINT_PROPERTY

    public static final String MULE_ENDPOINT_PROPERTY

See Also:
  Constant Field Values

### MULE_ORIGINATING_ENDPOINT_PROPERTY

    public static final String MULE_ORIGINATING_ENDPOINT_PROPERTY

See Also:
  Constant Field Values

### MULE_ERROR_CODE_PROPERTY

    public static final String MULE_ERROR_CODE_PROPERTY

See Also:
  Constant Field Values

### MULE_REPLY_TO_PROPERTY

    public static final String MULE_REPLY_TO_PROPERTY

See Also:
  Constant Field Values

### MULE_REPLY_TO_STOP_PROPERTY

    public static final String MULE_REPLY_TO_STOP_PROPERTY

  Prevents processing of the ReplyTo property by the Service. This is useful if you're component routed the message somewhere else which processed the ReplyTo.

  See Also:
    Constant Field Values

### MULE_USER_PROPERTY

    public static final String MULE_USER_PROPERTY

See Also:
  Constant Field Values

### MULE_ENCODING_PROPERTY

    public static final String MULE_ENCODING_PROPERTY

See Also:
  Constant Field Values

### MULE_REPLY_TO_REQUESTOR_PROPERTY

    public static final String MULE_REPLY_TO_REQUESTOR_PROPERTY

See Also:
  Constant Field Values

### MULE_SESSION_ID_PROPERTY

    @Deprecated
    public static final String MULE_SESSION_ID_PROPERTY

  Deprecated. This property is no longer needed and will be removed in the next major release
  See Also:
    Constant Field Values

### MULE_SESSION_PROPERTY

    public static final String MULE_SESSION_PROPERTY

See Also:
  Constant Field Values

### MULE_MESSAGE_ID_PROPERTY

    public static final String MULE_MESSAGE_ID_PROPERTY

See Also:
  Constant Field Values

### MULE_CORRELATION_ID_PROPERTY

    public static final String MULE_CORRELATION_ID_PROPERTY

See Also:
  Constant Field Values

### MULE_CORRELATION_GROUP_SIZE_PROPERTY

    public static final String MULE_CORRELATION_GROUP_SIZE_PROPERTY

See Also:
  Constant Field Values

### MULE_CORRELATION_SEQUENCE_PROPERTY

    public static final String MULE_CORRELATION_SEQUENCE_PROPERTY

See Also:
  Constant Field Values

### MULE_REMOTE_SYNC_PROPERTY

    public static final String MULE_REMOTE_SYNC_PROPERTY

See Also:
  Constant Field Values

### MULE_REMOTE_CLIENT_ADDRESS

    public static final String MULE_REMOTE_CLIENT_ADDRESS

See Also:
  Constant Field Values

### MULE_SOAP_METHOD

    public static final String MULE_SOAP_METHOD

See Also:
  Constant Field Values

### MULE_JMS_SESSION

    public static final String MULE_JMS_SESSION

See Also:
  Constant Field Values

### MULE_MANAGEMENT_CONTEXT_PROPERTY

    public static final String MULE_MANAGEMENT_CONTEXT_PROPERTY

See Also:
  Constant Field Values

### MULE_CREDENTIALS_PROPERTY

    public static final String MULE_CREDENTIALS_PROPERTY

See Also:
  Constant Field Values

### MULE_DISABLE_TRANSPORT_TRANSFORMER_PROPERTY

    public static final String MULE_DISABLE_TRANSPORT_TRANSFORMER_PROPERTY

See Also:
  Constant Field Values

### MULE_FORCE_SYNC_PROPERTY

    public static final String MULE_FORCE_SYNC_PROPERTY

See Also:
  Constant Field Values

### SERVICE_FINDER

    public static final String SERVICE_FINDER

  ***************************************************************************** Generic Service descriptor properties *****************************************************************************

  See Also:
    Constant Field Values

### MODEL_CLASS

    public static final String MODEL_CLASS

  ***************************************************************************** Model Service descriptor properties *****************************************************************************

  See Also:
    Constant Field Values

### CONNECTOR_CLASS

    public static final String CONNECTOR_CLASS

  ***************************************************************************** Transport Service descriptor properties *****************************************************************************

  See Also:
    Constant Field Values

### CONNECTOR_MESSAGE_RECEIVER_CLASS

    public static final String CONNECTOR_MESSAGE_RECEIVER_CLASS

See Also:
  Constant Field Values

### CONNECTOR_TRANSACTED_MESSAGE_RECEIVER_CLASS

    public static final String CONNECTOR_TRANSACTED_MESSAGE_RECEIVER_CLASS

See Also:
  Constant Field Values

### CONNECTOR_XA_TRANSACTED_MESSAGE_RECEIVER_CLASS

    public static final String CONNECTOR_XA_TRANSACTED_MESSAGE_RECEIVER_CLASS

See Also:
  Constant Field Values

### CONNECTOR_DISPATCHER_FACTORY

    public static final String CONNECTOR_DISPATCHER_FACTORY

See Also:
  Constant Field Values

### CONNECTOR_REQUESTER_FACTORY

    public static final String CONNECTOR_REQUESTER_FACTORY

See Also:
  Constant Field Values

### CONNECTOR_TRANSACTION_FACTORY

    public static final String CONNECTOR_TRANSACTION_FACTORY

See Also:
  Constant Field Values

### CONNECTOR_MESSAGE_FACTORY

    public static final String CONNECTOR_MESSAGE_FACTORY

See Also:
  Constant Field Values

### CONNECTOR_INBOUND_TRANSFORMER

    public static final String CONNECTOR_INBOUND_TRANSFORMER

See Also:
  Constant Field Values

### CONNECTOR_OUTBOUND_TRANSFORMER

    public static final String CONNECTOR_OUTBOUND_TRANSFORMER

See Also:
  Constant Field Values

### CONNECTOR_RESPONSE_TRANSFORMER

    public static final String CONNECTOR_RESPONSE_TRANSFORMER

See Also:
  Constant Field Values

### CONNECTOR_ENDPOINT_BUILDER

    public static final String CONNECTOR_ENDPOINT_BUILDER

See Also:
  Constant Field Values

### CONNECTOR_SERVICE_FINDER

    public static final String CONNECTOR_SERVICE_FINDER

See Also:
  Constant Field Values

### CONNECTOR_SERVICE_ERROR

    public static final String CONNECTOR_SERVICE_ERROR

See Also:
  Constant Field Values

### CONNECTOR_SESSION_HANDLER

    public static final String CONNECTOR_SESSION_HANDLER

See Also:
  Constant Field Values

### CONNECTOR_META_ENDPOINT_BUILDER

    public static final String CONNECTOR_META_ENDPOINT_BUILDER

See Also:
  Constant Field Values

### CONNECTOR_INBOUND_EXCHANGE_PATTERNS

    public static final String CONNECTOR_INBOUND_EXCHANGE_PATTERNS

See Also:
  Constant Field Values

### CONNECTOR_OUTBOUND_EXCHANGE_PATTERNS

    public static final String CONNECTOR_OUTBOUND_EXCHANGE_PATTERNS

See Also:
  Constant Field Values

### CONNECTOR_DEFAULT_EXCHANGE_PATTERN

    public static final String CONNECTOR_DEFAULT_EXCHANGE_PATTERN

See Also:
  Constant Field Values

### MULE_WORKING_DIRECTORY_PROPERTY

    public static final String MULE_WORKING_DIRECTORY_PROPERTY

See Also:
  Constant Field Values

### MULE_HOME_DIRECTORY_PROPERTY

    public static final String MULE_HOME_DIRECTORY_PROPERTY

See Also:
  Constant Field Values

### APP_HOME_DIRECTORY_PROPERTY

    public static final String APP_HOME_DIRECTORY_PROPERTY

See Also:
  Constant Field Values

### OBJECT_MULE_CONTEXT

    public static final String OBJECT_MULE_CONTEXT

See Also:
  Constant Field Values

### OBJECT_SYSTEM_MODEL

    public static final String OBJECT_SYSTEM_MODEL

See Also:
  Constant Field Values

### OBJECT_MULE_CONTEXT_PROCESSOR

    public static final String OBJECT_MULE_CONTEXT_PROCESSOR

See Also:
  Constant Field Values

### OBJECT_PROPERTY_PLACEHOLDER_PROCESSOR

    public static final String OBJECT_PROPERTY_PLACEHOLDER_PROCESSOR

See Also:
  Constant Field Values

### OBJECT_OBJECT_NAME_PROCESSOR

    public static final String OBJECT_OBJECT_NAME_PROCESSOR

See Also:
  Constant Field Values

### OBJECT_LIFECYCLE_MANAGER

    public static final String OBJECT_LIFECYCLE_MANAGER

See Also:
  Constant Field Values

### OBJECT_SECURITY_MANAGER

    public static final String OBJECT_SECURITY_MANAGER

See Also:
  Constant Field Values

### OBJECT_TRANSACTION_MANAGER

    public static final String OBJECT_TRANSACTION_MANAGER

See Also:
  Constant Field Values

### OBJECT_QUEUE_MANAGER

    public static final String OBJECT_QUEUE_MANAGER

See Also:
  Constant Field Values

### OBJECT_MULE_APPLICATION_PROPERTIES

    public static final String OBJECT_MULE_APPLICATION_PROPERTIES

See Also:
  Constant Field Values

### OBJECT_MULE_ENDPOINT_FACTORY

    public static final String OBJECT_MULE_ENDPOINT_FACTORY

See Also:
  Constant Field Values

### OBJECT_MULE_STREAM_CLOSER_SERVICE

    public static final String OBJECT_MULE_STREAM_CLOSER_SERVICE

See Also:
  Constant Field Values

### OBJECT_MULE_SIMPLE_REGISTRY_BOOTSTRAP

    public static final String OBJECT_MULE_SIMPLE_REGISTRY_BOOTSTRAP

See Also:
  Constant Field Values

### OBJECT_DEFAULT_THREADING_PROFILE

    public static final String OBJECT_DEFAULT_THREADING_PROFILE

See Also:
  Constant Field Values

### OBJECT_DEFAULT_MESSAGE_DISPATCHER_THREADING_PROFILE

    public static final String OBJECT_DEFAULT_MESSAGE_DISPATCHER_THREADING_PROFILE

See Also:
  Constant Field Values

### OBJECT_DEFAULT_MESSAGE_REQUESTER_THREADING_PROFILE

    public static final String OBJECT_DEFAULT_MESSAGE_REQUESTER_THREADING_PROFILE

See Also:
  Constant Field Values

### OBJECT_DEFAULT_MESSAGE_RECEIVER_THREADING_PROFILE

    public static final String OBJECT_DEFAULT_MESSAGE_RECEIVER_THREADING_PROFILE

See Also:
  Constant Field Values

### OBJECT_DEFAULT_SERVICE_THREADING_PROFILE

    public static final String OBJECT_DEFAULT_SERVICE_THREADING_PROFILE

See Also:
  Constant Field Values

### OBJECT_DEFAULT_RETRY_POLICY_TEMPLATE

    public static final String OBJECT_DEFAULT_RETRY_POLICY_TEMPLATE

See Also:
  Constant Field Values

### OBJECT_MULE_CONFIGURATION

    public static final String OBJECT_MULE_CONFIGURATION

See Also:
  Constant Field Values

### OBJECT_MULE_NAMESPACE_MANAGER

    public static final String OBJECT_MULE_NAMESPACE_MANAGER

See Also:
  Constant Field Values

### OBJECT_WORK_MANAGER

    public static final String OBJECT_WORK_MANAGER

See Also:
  Constant Field Values

### OBJECT_NOTIFICATION_MANAGER

    public static final String OBJECT_NOTIFICATION_MANAGER

See Also:
  Constant Field Values

### SYNCHRONOUS_PROPERTY

    public static final String SYNCHRONOUS_PROPERTY

  Specifies whether mule should process messages synchronously, i.e. that a mule-model can only process one message at a time, or asynchronously. The default value is 'false'.

  See Also:
    Constant Field Values

### EXCHANGE_PATTERN

    public static final String EXCHANGE_PATTERN

See Also:
  Constant Field Values

### EXCHANGE_PATTERN_CAMEL_CASE

    public static final String EXCHANGE_PATTERN_CAMEL_CASE

See Also:
  Constant Field Values

### SYSTEM_PROPERTY_PREFIX

    public static final String SYSTEM_PROPERTY_PREFIX

  The prefix for any Mule-specific properties set in the system properties

  See Also:
    Constant Field Values

### MULE_CONTEXT_PROPERTY

    public static final String MULE_CONTEXT_PROPERTY

See Also:
  Constant Field Values

### MULE_ENCODING_SYSTEM_PROPERTY

    public static final String MULE_ENCODING_SYSTEM_PROPERTY

See Also:
  Constant Field Values

### CONTENT_TYPE_PROPERTY

    public static final String CONTENT_TYPE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### MuleProperties

    public MuleProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.